This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 447995 - No Package List
No Package List
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 15:48 EDT by dhageman
Modified: 2008-07-04 06:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-04 06:05:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dhageman 2008-05-22 15:48:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5) Gecko/2008043010 Fedora/3.0-0.60.beta5.fc9 Firefox/3.0b5

Description of problem:
I can't seem to get a complete package list using gpk-application.  It will query the system and then return NO results.  I need a tool that works like system-config-packages.  I need to be able to look at all the packages in a group complete with descriptions.  I need to be able to do easy global searches on filename/description/package name (at the same time!).

At this point, I am finding PackageKit completely unusable.   

Version-Release number of selected component (if applicable):
PackageKit-0.1.12-10.20080505.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1. Start gpk-application
2. Click on a category
3.

Actual Results:
No results were found.

Expected Results:
A list of all the packages in the selected group.

Additional info:
Comment 1 Richard Hughes 2008-05-23 02:39:02 EDT
Can you give an example of how you want to query PackageKit? How did you used to
do it in yum/pirut?
Comment 2 dhageman 2008-05-23 10:29:25 EDT
I upgraded to the PackageKit / gnome-packagekit that is in the devel tree.  It
seems to fix most of my complaints.  I read that you will push out that version
when it is stable.  The sooner the better on that ... :-(
Comment 3 dhageman 2008-05-23 10:30:56 EDT
I think the system-config-packages by default would search all names,
descriptions, etc.  It might be worthwhile to add a search option to do all 3 as
well as each individual search type.
Comment 4 Richard Hughes 2008-07-04 06:05:38 EDT
Right, 0.2.3 should hit F9 in a few days.

Note You need to log in before you can comment on or make changes to this bug.